### Function

# GLib Thread self

#### Declaration

    GThread*
    g_thread_self (
      void
    )

#### Description

This function returns the `GThread` corresponding to the current thread. Note that this function does not increase the reference count of the returned struct.

This function will return a `GThread` even for threads that were not created by GLib (i.e. those created by other threading APIs). This may be useful for thread identification purposes (i.e. comparisons) but you must not use GLib functions (such as g_thread_join()) on these threads.

#### Return value

Type: `GThread`

The `GThread` representing the current thread.

The data is owned by the called function.